DEV: upgrades sassc to 2.4.0 (PR #10447)

We were stuck on 2.0.1 but multiple reports on the original issue shows that the issue has been fixed since 2.3 and 2.4:

https://github.com/sass/sassc-ruby/issues/146#issuecomment-654522157 https://github.com/sass/sassc-ruby/issues/146#issuecomment-654522157

There’s one report show it was not fixed in 2.3.0, but that’s the only one, it’s probably worth trying: https://github.com/sass/sassc-ruby/issues/146#issuecomment-639073736

GitHub